// This File is part of the "GmailNotifier2" Project
// 
// Copyright  2009 sometmes@gmail.com
// All rights reserved
// 
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Notify2
{
    class AlternateFileStream : FileStream
    {
        public AlternateFileStream(string path, FileMode mode, FileAccess access)
            : base(path, mode, access)
        {
        }

        string alternateName = "";
        public string AlternateName
        {
            get
            {
                if (this.alternateName == "")
                    return this.Name;
                else
                    return this.alternateName;
            }

            set
            {
                this.alternateName = value;
            }
        }

        bool toBeDeleted = false;
        public bool ToBeDeleted
        {
            get { return toBeDeleted; }
            set { toBeDeleted = value; }
        }
    }
}
