// This File is part of the "GmailNotifier2" Project
// 
// Copyright  2009 sometmes@gmail.com
// All rights reserved
// 
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;

namespace Notify2
{
    class Enums
    {
        static Enums()
        {
            ImageSizeOption option = new ImageSizeOption();
            option.Id = "640";
            option.Width = 640;
            option.Height = 480;
            option.KeepOriginalSize = false;
            ImageSizeOption640 = option;
            option = new ImageSizeOption();
            option.Id = "800";
            option.Width = 800;
            option.Height = 600;
            option.KeepOriginalSize = false;
            ImageSizeOption800 = option;
            option = new ImageSizeOption();
            option.Id = "1024";
            option.Width = 1024;
            option.Height = 768;
            option.KeepOriginalSize = false;
            ImageSizeOption1024 = option;
            option = new ImageSizeOption();
            option.Id = "original";
            option.Width = -1;
            option.Height = -1;
            option.KeepOriginalSize = true;
            ImageSizeOptionKeepOriginal = option;
        }

        public static readonly ImageSizeOption ImageSizeOptionKeepOriginal;
        public static readonly ImageSizeOption ImageSizeOption1024;
        public static readonly ImageSizeOption ImageSizeOption800;
        public static readonly ImageSizeOption ImageSizeOption640;
    }
}
